#include <bits/stdc++.h>
using namespace std;

int tr[400004];
int a[100000]{};

void bt(int b, int l, int r) {
    if (l == r) {
        tr[b] = a[l];
    } else {
        int m = (l + r)/2;
        bt(b * 2, l, m);
        bt(b * 2 + 1, m + 1, r);
        tr[b] = tr[b * 2] + tr[b * 2 + 1];
    }
}

int get_sum(int l, int r, int ver, int ll, int rr) {
    if (l <= ll && rr <= r) {
        return tr[ver];
    }
    if (rr < l || r < ll) {
        return 0;
    }
    int m = (ll + rr) / 2;
    return get_sum(l, r, ver * 2,ll, m) + get_sum(l, r, ver * 2 + 1, m + 1, rr);
}

int calc(int l, int r, vector<int> p){
    int k = 0;
    l--;
    r--;
    for (int i = 0; i < p.size(); i++){
        if (p[i] > l && p[i] <= r){
            k++;
        }
    }
    return k;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n, l, r;
    string s;
    vector<int> ans; // відповідь
	cin >> s >> n;
    
    for (int i = 1; i < s.size();i++){
        if (s[i] < s[i-1]) a[i-1] = 1;
    }
    bt(0,0,s.size()-1);
    for (int i = 0; i < n; i++){
        cin >> l >> r;
        cout << get_sum(l,r,0,0,s.size()-1) << endl;
    }
}
